Get conversation
GET /api/conversations/{conversation_id}
Given an id, get a conversation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id | path | string | yes | — |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
404 | Item not found |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | Unique conversation ID |
agent | AgentBase-Output | yes | The agent running in the conversation. This is persisted to allow resuming conversations and check agent configuration to handle e.g., tool changes, LLM changes, etc. |
workspace | BaseWorkspace-Output | yes | Workspace used by the agent to execute commands and read/write files. Not the process working directory. |
persistence_dir | `string | null` | no |
max_iterations | integer | no | Maximum number of iterations the agent can perform in a single run. |
stuck_detection | boolean | no | Whether to enable stuck detection for the agent. |
execution_status | ConversationExecutionStatus | no | — |
confirmation_policy | ConfirmationPolicyBase-Output | no | — |
security_analyzer | `SecurityAnalyzerBase-Output | null` | no |
activated_knowledge_skills | string[] | no | List of activated knowledge skills name |
blocked_actions | object | no | Actions blocked by PreToolUse hooks, keyed by action ID |
blocked_messages | object | no | Messages blocked by UserPromptSubmit hooks, keyed by message ID |
stats | ConversationStats-Output | no | Conversation statistics for tracking LLM metrics |
secret_registry | SecretRegistry-Output | no | Registry for handling secrets and sensitive data |
agent_state | object | no | Dictionary for agent-specific runtime state that persists across iterations. Agents can store feature-specific state using string keys. To trigger autosave, always reassign: state.agent_state = {**state.agent_state, key: value}. See https://docs.faheem-code.dev/sdk/guides/convo-persistence#how-state-persistence-works |
title | `string | null` | no |
metrics | `MetricsSnapshot | null` | no |
created_at | string | no | — |
updated_at | string | no | — |
Operation ID: get_conversation_api_conversations__conversation_id__get